<< qdgqr | QD: 32 bytes decimal arithmetics | lu >>

DD_QD (MuPAT) >> DD_QD (MuPAT) > QD: 32 bytes decimal arithmetics > qdip

# qdip

inner product of QD vectors

### Syntax

    z = qdip(x,y)

### Parameters

x,y

  2 column vectors of real QD numbers, of same lengths.

z

  QD number = x'*y

### Examples

    x = qdrand(10,1);
    y = qdrand(10,1);
    z = qdip(x,y)
    z == x' * y
    sqrt(qdip(x,x)) == norm(x,2)

    --> z = qdip(x,y)
     z  =
       3.56017539281641690795690874906301351451295011400674390166429558E0

    --> z == x' * y
     ans  =
      T

    --> sqrt(qdip(x,x)) == norm(x,2)
     ans  =
      T

### See Also

- qd — builds an array of QD numbers
- overloads — Available overloads for DD and QD real numbers

### Authors

Copyright (C) 2011 - Tsubasa Saito

Report an issue
<< qdgqr | QD: 32 bytes decimal arithmetics | lu >>